%define upstream_name	 GraphViz
%define upstream_version 2.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Dir) >= 1.40.0
BuildRequires: perl(IO::File) >= 1.100.0
BuildRequires: perl(IPC::Run) >= 0.600.0
BuildRequires: perl(LWP::Simple) >= 6.0.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Parse::RecDescent) >= 1.965.1
BuildRequires: perl(Pod::Usage) >= 1.160.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.440.0
BuildRequires: perl(Time::HiRes) >= 1.510.0
BuildRequires: perl(XML::Twig) >= 3.380.0
BuildRequires: perl(XML::XPath) >= 1.130.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: fonts-ttf-dejavu
BuildRequires: graphviz
BuildArch:  noarch

Requires:   graphviz
%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.140.0-2.mga3
+ Revision: 367865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.140.0-1.mga3
+ Revision: 317624
- update to 2.14

* Wed Sep 26 2012 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 298001
- update to 2.11

* Tue Jun 05 2012 jquelin <jquelin> 2.100.0-1.mga3
+ Revision: 254961
- update to 2.10

* Thu Dec 15 2011 jquelin <jquelin> 2.90.0-1.mga2
+ Revision: 181801
- update to 2.09

* Wed Nov 09 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 165779
- update to 2.08

* Sun Jan 23 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 33791
- mageia rebuild
- imported package perl-GraphViz

